﻿/******************************************************************************************************************************************
 *
 * Filename    : Program.cs
 * Project     : SimpleVectorMatrixPlayground
 * Description : This is an example implementation of Vector and Matrix classes for 2D and 3D, along with tests for all provided functions.
 *               It served me as my own playground to understand certain aspects of the common vector and matrix operations much better,
 *               so I decided to release the implementation together with the test application.
 *               I had planned to add 4D vector and matrix classes also, but lost the interest after fiddled around with the existing
 *               classes, but this is maybe an enhancement in future.
 *
 * Sunshine, February 2k21
 * www.sunshine2k.de | www.bastian-molkenthin.de
 *
 * This file is licensed under MIT licence. For further details, see http://www.sunshine2k.de/license.html.
 *
 *****************************************************************************************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SimpleVectorMatrixPlayground.VectorMatrix;
using SimpleVectorMatrixPlayground.Tests;

namespace SimpleVectorMatrixPlayground
{
    class Program
    {
        static void Main(string[] args)
        {
            PrintHeader();

            Testsuite testsuite = new Testsuite();
            testsuite.Run();

#if DEBUG
            Console.Out.WriteLine("\n");
            Console.Out.WriteLine("Press any key to quit...");
            Console.ReadLine();
#endif
        }

        static void PrintHeader()
        {
            Console.Out.WriteLine("===============================================");
            Console.Out.WriteLine(" Simple Vector and Matrix (2D / 3D) Playground");
            Console.Out.WriteLine(" www.sunshine2k.de || www.bastian-molkenthin.de");
            Console.Out.WriteLine("===============================================");
            Console.Out.WriteLine();
        }
    }
}
